Upstream information

CVE-2019-11500 at MITRE

Description

In Dovecot before 2.2.36.4 and 2.3.x before 2.3.7.2 (and Pigeonhole before 0.5.7.2), protocol processing can fail for quoted strings. This occurs because '\0' characters are mishandled, and can lead to out-of-bounds writes and remote code execution.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 9.8 8.1
Vector AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H
Access Vector Network Network
Access Complexity Low High
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High High
CVSSv3 Version 3.0 3.0
SUSE Bugzilla entry: 1145559 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
HPE Helion Openstack 8
  • dovecot22 >= 2.2.31-19.17.1
  • dovecot22-backend-mysql >= 2.2.31-19.17.1
  • dovecot22-backend-pgsql >= 2.2.31-19.17.1
  • dovecot22-backend-sqlite >= 2.2.31-19.17.1
Patchnames:
HPE-Helion-OpenStack-8-2019-2454
SUSE Enterprise Storage 4
  • dovecot22 >= 2.2.31-19.17.1
  • dovecot22-backend-mysql >= 2.2.31-19.17.1
  • dovecot22-backend-pgsql >= 2.2.31-19.17.1
  • dovecot22-backend-sqlite >= 2.2.31-19.17.1
Patchnames:
SUSE-Storage-4-2019-2454
SUSE Enterprise Storage 5
  • dovecot22 >= 2.2.31-19.17.1
  • dovecot22-backend-mysql >= 2.2.31-19.17.1
  • dovecot22-backend-pgsql >= 2.2.31-19.17.1
  • dovecot22-backend-sqlite >= 2.2.31-19.17.1
Patchnames:
SUSE-Storage-5-2019-2454
SUSE Linux Enterprise Module for Server Applications 15
  • dovecot23 >= 2.3.3-4.18.1
  • dovecot23-backend-mysql >= 2.3.3-4.18.1
  • dovecot23-backend-pgsql >= 2.3.3-4.18.1
  • dovecot23-backend-sqlite >= 2.3.3-4.18.1
  • dovecot23-devel >= 2.3.3-4.18.1
  • dovecot23-fts >= 2.3.3-4.18.1
  • dovecot23-fts-lucene >= 2.3.3-4.18.1
  • dovecot23-fts-solr >= 2.3.3-4.18.1
  • dovecot23-fts-squat >= 2.3.3-4.18.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-2019-2516
SUSE Linux Enterprise Module for Server Applications 15 SP1
  • dovecot23 >= 2.3.3-8.1
  • dovecot23-backend-mysql >= 2.3.3-8.1
  • dovecot23-backend-pgsql >= 2.3.3-8.1
  • dovecot23-backend-sqlite >= 2.3.3-8.1
  • dovecot23-devel >= 2.3.3-8.1
  • dovecot23-fts >= 2.3.3-8.1
  • dovecot23-fts-lucene >= 2.3.3-8.1
  • dovecot23-fts-solr >= 2.3.3-8.1
  • dovecot23-fts-squat >= 2.3.3-8.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-SP1-2019-2514
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
  • dovecot22 >= 2.2.31-19.17.1
  • dovecot22-backend-mysql >= 2.2.31-19.17.1
  • dovecot22-backend-pgsql >= 2.2.31-19.17.1
  • dovecot22-backend-sqlite >= 2.2.31-19.17.1
Patchnames:
SUSE-SLE-POS-12-SP2-CLIENT-2019-2454
SUSE Linux Enterprise Server 12 SP1-LTSS
  • dovecot22 >= 2.2.31-19.17.1
  • dovecot22-backend-mysql >= 2.2.31-19.17.1
  • dovecot22-backend-pgsql >= 2.2.31-19.17.1
  • dovecot22-backend-sqlite >= 2.2.31-19.17.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2019-2454
SUSE Linux Enterprise Server 12 SP2-BCL
  • dovecot22 >= 2.2.31-19.17.1
  • dovecot22-backend-mysql >= 2.2.31-19.17.1
  • dovecot22-backend-pgsql >= 2.2.31-19.17.1
  • dovecot22-backend-sqlite >= 2.2.31-19.17.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2019-2454
SUSE Linux Enterprise Server 12 SP2-ESPOS
  • dovecot22 >= 2.2.31-19.17.1
  • dovecot22-backend-mysql >= 2.2.31-19.17.1
  • dovecot22-backend-pgsql >= 2.2.31-19.17.1
  • dovecot22-backend-sqlite >= 2.2.31-19.17.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2019-2454
SUSE Linux Enterprise Server 12 SP2-LTSS
  • dovecot22 >= 2.2.31-19.17.1
  • dovecot22-backend-mysql >= 2.2.31-19.17.1
  • dovecot22-backend-pgsql >= 2.2.31-19.17.1
  • dovecot22-backend-sqlite >= 2.2.31-19.17.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2019-2454
SUSE Linux Enterprise Server 12 SP3-BCL
  • dovecot22 >= 2.2.31-19.17.1
  • dovecot22-backend-mysql >= 2.2.31-19.17.1
  • dovecot22-backend-pgsql >= 2.2.31-19.17.1
  • dovecot22-backend-sqlite >= 2.2.31-19.17.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-BCL-2019-2454
SUSE Linux Enterprise Server 12 SP3-ESPOS
  • dovecot22 >= 2.2.31-19.17.1
  • dovecot22-backend-mysql >= 2.2.31-19.17.1
  • dovecot22-backend-pgsql >= 2.2.31-19.17.1
  • dovecot22-backend-sqlite >= 2.2.31-19.17.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-ESPOS-2019-2454
SUSE Linux Enterprise Server 12 SP3-LTSS
  • dovecot22 >= 2.2.31-19.17.1
  • dovecot22-backend-mysql >= 2.2.31-19.17.1
  • dovecot22-backend-pgsql >= 2.2.31-19.17.1
  • dovecot22-backend-sqlite >= 2.2.31-19.17.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2019-2454
SUSE Linux Enterprise Server 12 SP4
  • dovecot22 >= 2.2.31-19.17.1
  • dovecot22-backend-mysql >= 2.2.31-19.17.1
  • dovecot22-backend-pgsql >= 2.2.31-19.17.1
  • dovecot22-backend-sqlite >= 2.2.31-19.17.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-2454
SUSE Linux Enterprise Server 12 SP5
  • dovecot22 >= 2.2.31-19.17.1
  • dovecot22-backend-mysql >= 2.2.31-19.17.1
  • dovecot22-backend-pgsql >= 2.2.31-19.17.1
  • dovecot22-backend-sqlite >= 2.2.31-19.17.1
Patchnames:
SUSE-SLE-SERVER-12-SP5-2019-2454
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • dovecot22 >= 2.2.31-19.17.1
  • dovecot22-backend-mysql >= 2.2.31-19.17.1
  • dovecot22-backend-pgsql >= 2.2.31-19.17.1
  • dovecot22-backend-sqlite >= 2.2.31-19.17.1
Patchnames:
SUSE-SLE-SAP-12-SP1-2019-2454
SUSE Linux Enterprise Server for SAP Applications 12 SP1-LTSS
  • dovecot22 >= 2.2.31-19.17.1
  • dovecot22-backend-mysql >= 2.2.31-19.17.1
  • dovecot22-backend-pgsql >= 2.2.31-19.17.1
  • dovecot22-backend-sqlite >= 2.2.31-19.17.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2019-2454
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • dovecot22 >= 2.2.31-19.17.1
  • dovecot22-backend-mysql >= 2.2.31-19.17.1
  • dovecot22-backend-pgsql >= 2.2.31-19.17.1
  • dovecot22-backend-sqlite >= 2.2.31-19.17.1
Patchnames:
SUSE-SLE-SAP-12-SP2-2019-2454
SUSE Linux Enterprise Server for SAP Applications 12 SP2-BCL
  • dovecot22 >= 2.2.31-19.17.1
  • dovecot22-backend-mysql >= 2.2.31-19.17.1
  • dovecot22-backend-pgsql >= 2.2.31-19.17.1
  • dovecot22-backend-sqlite >= 2.2.31-19.17.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2019-2454
SUSE Linux Enterprise Server for SAP Applications 12 SP2-ESPOS
  • dovecot22 >= 2.2.31-19.17.1
  • dovecot22-backend-mysql >= 2.2.31-19.17.1
  • dovecot22-backend-pgsql >= 2.2.31-19.17.1
  • dovecot22-backend-sqlite >= 2.2.31-19.17.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2019-2454
SUSE Linux Enterprise Server for SAP Applications 12 SP2-LTSS
  • dovecot22 >= 2.2.31-19.17.1
  • dovecot22-backend-mysql >= 2.2.31-19.17.1
  • dovecot22-backend-pgsql >= 2.2.31-19.17.1
  • dovecot22-backend-sqlite >= 2.2.31-19.17.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2019-2454
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • dovecot22 >= 2.2.31-19.17.1
  • dovecot22-backend-mysql >= 2.2.31-19.17.1
  • dovecot22-backend-pgsql >= 2.2.31-19.17.1
  • dovecot22-backend-sqlite >= 2.2.31-19.17.1
Patchnames:
SUSE-SLE-SAP-12-SP3-2019-2454
SUSE Linux Enterprise Server for SAP Applications 12 SP3-BCL
  • dovecot22 >= 2.2.31-19.17.1
  • dovecot22-backend-mysql >= 2.2.31-19.17.1
  • dovecot22-backend-pgsql >= 2.2.31-19.17.1
  • dovecot22-backend-sqlite >= 2.2.31-19.17.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-BCL-2019-2454
SUSE Linux Enterprise Server for SAP Applications 12 SP3-ESPOS
  • dovecot22 >= 2.2.31-19.17.1
  • dovecot22-backend-mysql >= 2.2.31-19.17.1
  • dovecot22-backend-pgsql >= 2.2.31-19.17.1
  • dovecot22-backend-sqlite >= 2.2.31-19.17.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-ESPOS-2019-2454
SUSE Linux Enterprise Server for SAP Applications 12 SP3-LTSS
  • dovecot22 >= 2.2.31-19.17.1
  • dovecot22-backend-mysql >= 2.2.31-19.17.1
  • dovecot22-backend-pgsql >= 2.2.31-19.17.1
  • dovecot22-backend-sqlite >= 2.2.31-19.17.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2019-2454
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • dovecot22 >= 2.2.31-19.17.1
  • dovecot22-backend-mysql >= 2.2.31-19.17.1
  • dovecot22-backend-pgsql >= 2.2.31-19.17.1
  • dovecot22-backend-sqlite >= 2.2.31-19.17.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-2454
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • dovecot22 >= 2.2.31-19.17.1
  • dovecot22-backend-mysql >= 2.2.31-19.17.1
  • dovecot22-backend-pgsql >= 2.2.31-19.17.1
  • dovecot22-backend-sqlite >= 2.2.31-19.17.1
Patchnames:
SUSE-SLE-SERVER-12-SP5-2019-2454
SUSE Linux Enterprise Software Development Kit 12 SP4
  • dovecot22 >= 2.2.31-19.17.1
  • dovecot22-devel >= 2.2.31-19.17.1
Patchnames:
SUSE-SLE-SDK-12-SP4-2019-2454
SUSE Linux Enterprise Software Development Kit 12 SP5
  • dovecot22 >= 2.2.31-19.17.1
  • dovecot22-devel >= 2.2.31-19.17.1
Patchnames:
SUSE-SLE-SDK-12-SP5-2019-2454
SUSE OpenStack Cloud 7
  • dovecot22 >= 2.2.31-19.17.1
  • dovecot22-backend-mysql >= 2.2.31-19.17.1
  • dovecot22-backend-pgsql >= 2.2.31-19.17.1
  • dovecot22-backend-sqlite >= 2.2.31-19.17.1
Patchnames:
SUSE-OpenStack-Cloud-7-2019-2454
SUSE OpenStack Cloud 8
  • dovecot22 >= 2.2.31-19.17.1
  • dovecot22-backend-mysql >= 2.2.31-19.17.1
  • dovecot22-backend-pgsql >= 2.2.31-19.17.1
  • dovecot22-backend-sqlite >= 2.2.31-19.17.1
Patchnames:
SUSE-OpenStack-Cloud-8-2019-2454
SUSE OpenStack Cloud Crowbar 8
  • dovecot22 >= 2.2.31-19.17.1
  • dovecot22-backend-mysql >= 2.2.31-19.17.1
  • dovecot22-backend-pgsql >= 2.2.31-19.17.1
  • dovecot22-backend-sqlite >= 2.2.31-19.17.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-8-2019-2454
openSUSE Leap 15.0
  • dovecot23 >= 2.3.3-lp150.14.1
  • dovecot23-backend-mysql >= 2.3.3-lp150.14.1
  • dovecot23-backend-mysql-debuginfo >= 2.3.3-lp150.14.1
  • dovecot23-backend-pgsql >= 2.3.3-lp150.14.1
  • dovecot23-backend-pgsql-debuginfo >= 2.3.3-lp150.14.1
  • dovecot23-backend-sqlite >= 2.3.3-lp150.14.1
  • dovecot23-backend-sqlite-debuginfo >= 2.3.3-lp150.14.1
  • dovecot23-debuginfo >= 2.3.3-lp150.14.1
  • dovecot23-debugsource >= 2.3.3-lp150.14.1
  • dovecot23-devel >= 2.3.3-lp150.14.1
  • dovecot23-fts >= 2.3.3-lp150.14.1
  • dovecot23-fts-debuginfo >= 2.3.3-lp150.14.1
  • dovecot23-fts-lucene >= 2.3.3-lp150.14.1
  • dovecot23-fts-lucene-debuginfo >= 2.3.3-lp150.14.1
  • dovecot23-fts-solr >= 2.3.3-lp150.14.1
  • dovecot23-fts-solr-debuginfo >= 2.3.3-lp150.14.1
  • dovecot23-fts-squat >= 2.3.3-lp150.14.1
  • dovecot23-fts-squat-debuginfo >= 2.3.3-lp150.14.1
Patchnames:
openSUSE-2019-2278
openSUSE Leap 15.1
  • dovecot23 >= 2.3.3-lp151.2.6.1
  • dovecot23-backend-mysql >= 2.3.3-lp151.2.6.1
  • dovecot23-backend-mysql-debuginfo >= 2.3.3-lp151.2.6.1
  • dovecot23-backend-pgsql >= 2.3.3-lp151.2.6.1
  • dovecot23-backend-pgsql-debuginfo >= 2.3.3-lp151.2.6.1
  • dovecot23-backend-sqlite >= 2.3.3-lp151.2.6.1
  • dovecot23-backend-sqlite-debuginfo >= 2.3.3-lp151.2.6.1
  • dovecot23-debuginfo >= 2.3.3-lp151.2.6.1
  • dovecot23-debugsource >= 2.3.3-lp151.2.6.1
  • dovecot23-devel >= 2.3.3-lp151.2.6.1
  • dovecot23-fts >= 2.3.3-lp151.2.6.1
  • dovecot23-fts-debuginfo >= 2.3.3-lp151.2.6.1
  • dovecot23-fts-lucene >= 2.3.3-lp151.2.6.1
  • dovecot23-fts-lucene-debuginfo >= 2.3.3-lp151.2.6.1
  • dovecot23-fts-solr >= 2.3.3-lp151.2.6.1
  • dovecot23-fts-solr-debuginfo >= 2.3.3-lp151.2.6.1
  • dovecot23-fts-squat >= 2.3.3-lp151.2.6.1
  • dovecot23-fts-squat-debuginfo >= 2.3.3-lp151.2.6.1
Patchnames:
openSUSE-2019-2281


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise High Performance Computing 12 dovecot22 Released
SUSE Linux Enterprise Module for Server Applications 15 GA dovecot23 Released
SUSE Linux Enterprise Module for Server Applications 15 SP1 dovecot23 Released
SUSE Linux Enterprise SDK 12 SP3 dovecot22 Affected
SUSE Linux Enterprise SDK 12 SP4 dovecot22 Released
SUSE Linux Enterprise Server 12 GA LTSS dovecot22 Affected
SUSE Linux Enterprise Server 12 SP1 LTSS dovecot22 Released
SUSE Linux Enterprise Server 12 SP2 LTSS dovecot22 Released
SUSE Linux Enterprise Server 12 SP3 dovecot22 Affected
SUSE Linux Enterprise Server 12 SP3 LTSS dovecot22 Released
SUSE Linux Enterprise Server 12 SP4 dovecot22 Released
SUSE Linux Enterprise Server for SAP Applications 12 GA dovecot22 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 dovecot22 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 dovecot22 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 dovecot22 Released